Create a new offer
Create a new offer for a product. Offers define how a product can be purchased: - One-time purchase: Set price and currency, leave recurring fields empty - Subscription: Set price, currency, and recurring interval - Free: Set price to 0 For subscription offers, you can optionally configure trial periods.
Authorization
Public key Secret key In: header
In: header
Request Body
application/json
POST /v0/offers/create Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v0/offers/create" \ -H "Content-Type: application/json" \ -d '{ "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "currency": "AFN", "price": 0, "limit": 0 }'{ "status": "success", "data": { "offer": { "object": "offer", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "internalId": null, "price": -1.7976931348623157e+308, "originalPrice": null, "recurringInterval": "day", "recurringIntervalCount": null, "trialInterval": "day", "trialIntervalCount": null, "currency": "AFN", "limit": null, "soldItems": 0, "status": "DRAFT", "name": null, "description": null, "region": "Global", "platform": "Meta Quest", "gtin": null, "warningMessage": null } }}List offers GET
Retrieve a paginated list of offers with powerful filtering options. Offers represent purchasable configurations of products, including pricing, currency, and subscription settings. A single product can have multiple offers for different pricing tiers or billing intervals. Results are sorted by creation date (newest first) by default.
Get offer details GET
Retrieve detailed information about a specific offer by its ID. Returns the full offer object including product reference, variant details, pricing, subscription settings, and inventory status for key-based products.